--- erl_tar.erl	2003-07-04 09:02:04.000000000 +0200
+++ erl_tar.erl	2003-07-04 09:01:50.000000000 +0200
@@ -240,6 +240,8 @@
 -define(th_chksum, 148).
 -define(th_typeflag, 156).
 -define(th_linkname, 157).
+-define(th_magic, 257).
+-define(th_version, 263).
 -define(th_prefix, 345).
 
 %% Length of these fields.
@@ -252,6 +254,8 @@
 -define(th_mtime_len, 12).
 -define(th_chksum_len, 8).
 -define(th_linkname_len, 100).
+-define(th_magic_len, 6).
+-define(th_version_len, 2).
 -define(th_prefix_len, 167).
 
 -record(tar_header,
@@ -341,7 +345,9 @@
 	  <<"        ">>,
 	  file_type(Type),
 	  to_string(Linkname, ?th_linkname_len),
-	  zeroes(?th_prefix-?th_linkname-?th_linkname_len),
+	  "ustar",0,
+	  "00",
+	  zeroes(?th_prefix-?th_version-?th_version_len),
 	  to_string(Prefix, ?th_prefix_len)],
     H = list_to_binary(H0),
     512 = size(H),				%Assertion.
